CertReqTemplateContent (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class CertReqTemplateContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.CertReqTemplateContent

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CertReqTemplateContent
      extends ASN1Object

  GenMsg: {id-it 19}, < absent > GenRep: {id-it 19}, CertReqTemplateContent | < absent >

  CertReqTemplateValue ::= CertReqTemplateContent

  CertReqTemplateContent ::= SEQUENCE { certTemplate CertTemplate, keySpec Controls OPTIONAL }

  Controls ::= SEQUENCE SIZE (1..MAX) OF AttributeTypeAndValue

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertReqTemplateContent(CertTemplate certTemplate, ASN1Sequence keySpec)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertTemplate` | `getCertTemplate()`
    `static CertReqTemplateContent` | `getInstance(java.lang.Object o)`
    `ASN1Sequence` | `getKeySpec()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertReqTemplateContent

          public CertReqTemplateContent(CertTemplate certTemplate,
                                        ASN1Sequence keySpec)

  - ### Method Detail

    - #### getInstance

          public static CertReqTemplateContent getInstance(java.lang.Object o)

    - #### getCertTemplate

          public CertTemplate getCertTemplate()

    - #### getKeySpec

          public ASN1Sequence getKeySpec()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.